VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Change the Screen Resolution"
   ClientHeight    =   2685
   ClientLeft      =   5325
   ClientTop       =   2265
   ClientWidth     =   3840
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2685
   ScaleWidth      =   3840
   StartUpPosition =   2  'CenterScreen
   Begin VB.OptionButton optShut 
      Caption         =   "Force"
      Height          =   255
      Index           =   3
      Left            =   2160
      TabIndex        =   9
      Top             =   1320
      Width           =   1335
   End
   Begin VB.OptionButton optShut 
      Caption         =   "Shut Down"
      Height          =   255
      Index           =   2
      Left            =   2160
      TabIndex        =   8
      Top             =   960
      Width           =   1215
   End
   Begin VB.OptionButton optShut 
      Caption         =   "Reboot"
      Height          =   255
      Index           =   1
      Left            =   2160
      TabIndex        =   7
      Top             =   600
      Value           =   -1  'True
      Width           =   975
   End
   Begin VB.OptionButton optShut 
      Caption         =   "Logoff"
      Height          =   255
      Index           =   0
      Left            =   2160
      TabIndex        =   6
      Top             =   240
      Width           =   975
   End
   Begin VB.CommandButton cmdReboot 
      Caption         =   "&Re-Start PC"
      Height          =   375
      Left            =   2160
      TabIndex        =   5
      Top             =   1680
      Width           =   1455
   End
   Begin VB.OptionButton optRes 
      Caption         =   "1024 x 768"
      Height          =   195
      Index           =   2
      Left            =   480
      TabIndex        =   4
      Top             =   960
      Width           =   1215
   End
   Begin VB.OptionButton optRes 
      Caption         =   "800 x 600"
      Height          =   195
      Index           =   1
      Left            =   480
      TabIndex        =   3
      Top             =   600
      Width           =   1335
   End
   Begin VB.OptionButton optRes 
      Caption         =   "640 x 480"
      Height          =   195
      Index           =   0
      Left            =   480
      TabIndex        =   2
      Top             =   240
      Width           =   1215
   End
   Begin VB.CommandButton cmdQuit 
      Caption         =   "&Quit"
      Height          =   375
      Left            =   2160
      TabIndex        =   1
      Top             =   2160
      Width           =   1455
   End
   Begin VB.CommandButton cmdChange 
      Caption         =   "&Change Resolution"
      Height          =   375
      Left            =   240
      TabIndex        =   0
      Top             =   1680
      Width           =   1695
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdQuit_Click()
Unload Me
End Sub

Private Sub cmdChange_Click()
Dim DevM    As DEVMODE
Dim lResult As Long
Dim iAns    As Integer
'
' Retrieve info about the current graphics mode
' on the current display device.
'
lResult = EnumDisplaySettings(0, 0, DevM)
'
' Set the new resolution. Don't change the color
' depth so a restart is not necessary.
'
With DevM
    .dmFields = DM_PELSWIDTH Or DM_PELSHEIGHT 'Or DM_BITSPERPEL
    If optRes(0) Then
        .dmPelsWidth = 640  'ScreenWidth
        .dmPelsHeight = 480 'ScreenHeight
    ElseIf optRes(1) Then
        .dmPelsWidth = 800
        .dmPelsHeight = 600
    Else
        .dmPelsWidth = 1024
        .dmPelsHeight = 768
    End If
    '.dmBitsPerPel = 32 (could be 8, 16, 32 or even 4)
End With
'
' Change the display settings to the specified graphics mode.
'
lResult = ChangeDisplaySettings(DevM, CDS_TEST)
Select Case lResult
    Case DISP_CHANGE_RESTART
        iAns = MsgBox("You must restart your computer to apply these changes." & _
            vbCrLf & vbCrLf & "Do you want to restart now?", _
            vbYesNo + vbSystemModal, "Screen Resolution")
        If iAns = vbYes Then Call ExitWindowsEx(EWX_REBOOT, 0)
    Case DISP_CHANGE_SUCCESSFUL
        Call ChangeDisplaySettings(DevM, CDS_UPDATEREGISTRY)
        MsgBox "Screen resolution changed", vbInformation, "Resolution Changed"
    Case Else
        MsgBox "Mode not supported", vbSystemModal, "Error"
End Select
End Sub


Private Sub cmdReboot_Click()
Dim lMode As Long
'
' Determine the shutdown mode.
'
' EWX_LOGOFF
'   Shuts down all processes running and
'   logs off the user.
'
' EWX_REBOOT *
'   Shuts down and restarts the system.
'
' EWX_SHUTDOWN *
'   Shuts down the system to a point where
'   it is safe to turn off the system.
'
' EWX_POWEROFF *
'   Shuts down the system and turns off power.
'   The system must support this feature.
'
' EWX_FORCE
'   Forcibly shuts down the system. Files are not closed,...
'   data may be lost.
'
' * On NT the calling process must have
'   SE_SHUTDOWN_NAME privilege using the
'   AdjustTokenPrivileges function.
'
If optShut(0) Then
    lMode = EWX_LOGOFF
ElseIf optShut(1) Then
    lMode = EWX_REBOOT
ElseIf optShut(2) Then
    lMode = EWX_SHUTDOWN
Else: lMode = EWX_FORCE
End If

Call ExitWindowsEx(lMode, 0)
End Sub


